// Copyright (c) 2015, Richard Ambler. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

/// The fisher library.
///
/// A basic statistics and plotting library inspired by such statistics
/// environments/libraries as R and pandas. 
/// 

library fisher;

import "dart:html";
import "dart:math" as Math;
import "dart:async";

part "src/helpers.dart";
part "src/functions.dart";

// Models
part "src/model.dart";

// Vectors
part "src/_vector.dart";
part "src/categoric_vector.dart";
part "src/boolean_vector.dart";
part "src/numeric_vector.dart";

// Matrices
part "src/data_matrix.dart";

// Graphics
part "src/plot.dart";





/*library fisher;

// TODO: Export any libraries intended for clients of this package.

export 'src/fisher_base.dart';*/
